| POST | /RestApi/recycle-bin/dataItems/batch/restore |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ItemIdentifications | body | DataItemIdentification[] | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | form | Guid | No | |
| TypeName | form | string | No | |
| ProviderName | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/recycle-bin/dataItems/batch/restore HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
Content-Type: text/csv
Content-Length: length
{"ItemIdentifications":[{"TypeName":"String","ProviderName":"String"}]}